# Define your protection block below
# Use block type from here: https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Material.html
# --------------------------------------------------------------------------------------------------
# If you want to use player heads, you can use "PLAYER_HEAD:player_name" (ex. "PLAYER_HEAD:Notch")
# To use custom player heads, you need the base64 value of the head. On minecraft-heads.com, you will find this value in the Other section under "Value:".
# To use UUIDs for player heads, go to https://sessionserver.mojang.com/session/minecraft/profile/PUT-UUID-HERE and copy the value from the "value" field not including quotes.
# When you have the value, you can set the type to "PLAYER_HEAD:value"
type = "PLAYER_HEAD:eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2JmYjQxZjg2NmU3ZThlNTkzNjU5OTg2YzlkNmU4OGNkMzc2NzdiM2Y3YmQ0NDI1M2U1ODcxZTY2ZDFkNDI0In19fQ=="

# Another way to refer to the protection stone
# Can be used for /ps give and /ps get
# Must be one word (no spaces)
alias = "weak-ps"

# Description of the protection block type
# Shows up in /ps get menu
description = "Weak (8 block radius) protection zone."

# Whether or not to restrict obtaining of the protection stone to only /ps get and /ps give and custom crafting recipes.
# Other ways to obtain this block (ex. mining) will not work as a protection stone.
# Useful to allow the protection block to only be obtained from a shop or command.
# Set to "false" if you want to allow players to obtain a protection stone naturally
restrict_obtaining = true

# Enable or disable the use of this protection stone in specific worlds
# "blacklist" mode prevents this protect block from being used in the worlds in "worlds"
# "whitelist" mode allows this protect block to only be used in the worlds in "worlds"
# Can be overriden with protectionstones.admin permission (including OP)!
world_list_type = "blacklist"
worlds = [
    "exampleworld1",
    "exampleworld2"
]

# Whether or not to actually restrict the protection stone from being placed when the world is restricted (in blacklist/whitelist)
# The block will place normally, without PS behaviour.
prevent_block_place_in_restricted_world = true

# Whether or not to allow the block to be placed in the wild.
# If set to false, the protection block can only be placed in existing regions.
allow_placing_in_wild = true

[region]
    # Minimum distance between claims (that aren't owned by the same owner), measured from the protection block to the edge of another region
    # You will probably have to change this between blocks, since the region sizes will be different
    # Set to -1 for no minimum, but will still check for overlapping regions
    distance_between_claims = -1

    # Protection radius of block (radius of 64 -> 129 x 129 region)
    # Set y_radius to -1 if you want it to protect for all y levels.
    # y_radius must be -1 if you are allowing the region to be merged ("allow_merging" option)
    x_radius = 8
    y_radius = -1
    z_radius = 8

    # Enables "chunk snapping mode", where the region boundaries will be determined by the chunk the block is in, and the
    # chunk_radius (how many chunks away from the center chunk).
    # Allows players to not have to worry about the exact placement of their block, and removes the issue of messy overlapping
    # regions (as they all conform to chunk boundaries).
    # Set to -1 to disable, and any number larger than or equal to 1 to enable.
    # Note: If enabled, x_radius and z_radius will be ignored!
    chunk_radius = -1

    # How many blocks to offset the default location of /ps home from the protection block
    home_x_offset = 0.0
    home_y_offset = 1.0
    home_z_offset = 0.0

    # Specify the default flags to be set when a new protected region is created.
    # Can use -g [group] before the flag to set group flags (ex. -g members pvp deny).
    # Can use PlaceholderAPI placeholders in string flags (ex. greeting, farewell).
    flags = [
        "tnt deny",
        "greeting &lEntering &b&l%player%'s &f&lprotected area",
        "farewell &lLeaving &b&l%player%'s &f&lprotected area",
        "greeting-action &lEntering &b&l%player%'s &f&lprotected area",
        "farewell-action &lLeaving &b&l%player%'s &f&lprotected area",
    ]

    # List all the flags that can be set by region owners.
    # If you want to whitelist the groups that can be set as well, use -g (ex. "-g all,members pvp" restricts it to no group flag, and members group)
    # "-g all pvp" - Prevents players setting the group to nonmembers, and being invulnerable to attacks.
    allowed_flags = [
        "greeting",
        "greeting-title",
        "greeting-action",
        "farewell",
        "farewell-title",
        "farewell-action",
    ]

    # Which flags to hide from /ps info
    hidden_flags_from_info = [
        "ps-name",
        "ps-merged-regions",
        "ps-merged-regions-types",
        "ps-block-material",
        "ps-price",
        "ps-landlord",
        "ps-tenant",
        "ps-rent-period",
        "ps-rent-last-paid",
        "ps-for-sale",
        "ps-rent-settings",
        "ps-tax-payments-due",
        "ps-tax-last-payment-added",
        "ps-tax-autopayer"
    ]

    # Default priority type for this block type protection stone
    priority = 0

    # Whether or not to allow creation of regions that overlap other regions you don't own
    # This is dangerous, so think about this carefully if you set it to true.
    allow_overlap_unowned_regions = false

    # Whether or not to allow players to create other regions that overlap this region.
    # "owner" - only allow owners to overlap this (default)
    # "member" - allow members and owners to overlap this region type. (useful for city plots)
    # "all" - allow all players to overlap this region type.
    # "none" - no players, not even the owners of the region can overlap it
    # allow_overlap_unowned_regions does not need to be true for this to work.
    allow_other_regions_to_overlap = "owner"

    # Whether or not to allow this regions created with this block to merge with other regions
    # allow_merging_regions must be set to true in config.toml
    allow_merging = true

    # Allowed types of regions to merge into (referred to by alias)
    # Be sure to add the alias of this current region type to allow merging with it ex. ["64"]
    # Add "all" if you want to allow this region to merge into any region
    allowed_merging_into_types = [
        "all"
    ]

[block_data]
    # Name given to protection block when obtained with /ps give or /ps get
    # Also affects custom crafted items (see custom_recipe)
    # Leave as '' for no name
    display_name = "Weak Protection Artifact"

    # Lore given to protection block when obtained with /ps give or /ps get
    # Also affects custom crafted items (see custom_recipe)
    # Leave as [] for no lore
    lore = [
        "&6Weak artifact that protects your land.",
        "&6Able to provide the bare minimum protection.",
        "&6No periodic sacrifices needed.",
        "&6Prolonged period of concentration to teleport.",
    ]

    # Add price when using /ps get
    # Must have compatible economy plugin (requires Vault, ie. Essentials)
    # Must be a decimal (ex. not 10, but 10.0)
    price = 1.0

    # Whether or not to allow crafting this item using a custom recipe
    # Useful to allow crafting the item when restrict_obtaining is set to true
    allow_craft_with_custom_recipe = true
    # Specify the custom crafting recipe below
    # You must fill the item spots with names from here: https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Material.html
    # You can also use other protection stone items as ingredients in the recipe, in the format PROTECTION_STONES:alias
    # Make sure that you set allow_use_in_crafting for that block to true, or else you can't use it in crafting
    # If you want air, you can just leave the spot as ""
    custom_recipe = [
        ["IRON_INGOT", "STONE", "IRON_INGOT"],
        ["STONE", "EMERALD", "STONE"],
        ["IRON_INGOT", "STONE", "IRON_INGOT"]
    ]
    # Amount of the protection item to give when crafted
    recipe_amount = 2

[economy]
    # Taxes must be enabled in config.toml first (tax_enabled)
    # The amount to tax the region per tax cycle.
    # Must be a decimal (ex. not 10, but 10.0)
    tax_amount = 0.0

    # The amount of seconds between tax cycles. Set to -1 to disable taxes.
    tax_period = -1

    # Amount of time to pay taxes in seconds after tax cycle before there is punishment.
    tax_payment_time = 86400

    # Automatically set the player that created the region as the taxpayer.
    start_with_tax_autopay = true

    # What role tenants should be added as (for rents). It can either be "owner" or "member".
    tenant_rent_role = "member"

    # Should the landlords of rented out regions still be an owner while it is rented out?
    landlord_still_owner = true

[behaviour]
    # Hide protection stone right away when placed?
    auto_hide = false

    # Whether or not to automatically merge into other regions when placed if there is only one overlapping and allow_merging is true
    auto_merge = false

    # Disable returning the block when removed/unclaimed?
    no_drop = false

    # Prevents piston pushing of the block. Recommended to keep as true.
    prevent_piston_push = true

    # Prevents the block from being destroyed when exploded.
    # Recommended to keep true to prevent players from exploiting more protection stones with /ps unhide (when the block is destroyed)
    prevent_explode = true

    # Destroys the protection stone region when block is exploded. Can be useful for PVP/Factions servers.
    # prevent_explode must be false for this to work.
    destroy_region_when_explode = false

    # Silk Touch: if true, ore-blocks that are also configured by ProtectionStones will disallow Silk Touch drops
    # This was the old behaviour to prevent natural obtaining of the protection stone.
    # Recommended to keep false if "Restrict Obtaining" (the new way) is true
    prevent_silk_touch = false

    # Set cost for when a protection block is placed (separate from /ps get cost)
    cost_to_place = 0.0

    # Allow protect block item to be smelt in furnaces
    allow_smelt_item = false

    # Allows the protection block to be used in crafting recipes
    # You may want it set to false to prevent players decomposing its elements
    allow_use_in_crafting = true

[player]
    # Whether or not to allow breaking the protection block with a shift-right click
    # Useful if the protection block is unbreakable (bedrock, command block), etc.
    allow_shift_right_break = false

    # Whether or not to prevent teleporting into a protected region if the player doesn't own it (except with ender pearl and chorus fruit)
    # Does not prevent entry, use the flag "entry deny" for preventing entry.
    # Bypass with protectionstones.tp.bypassprevent
    prevent_teleport_in = false

    # Can't move for x seconds before teleporting with /ps home or /ps tp. Can be disabled with 0.
    # Option to teleport only if player stands still.
    # Can override with permission protectionstones.tp.bypasswait
    no_moving_when_tp_waiting = true
    tp_waiting_seconds = 60

    # Whether or not to prevent obtaining this block through /ps get.
    # Ignored with protectionstones.admin
    prevent_ps_get = false

    # Whether or not to prevent this region type from showing up in /ps home, and allowing teleport.
    # Note: admins can still use /ps tp to this region type
    prevent_ps_home = false

    # Extra permission required to place this specific protection block (you still need protectionstones.create)
    # Also applies to /ps get (you still need protectionstones.get)
    # '' for no extra permission
    permission = ''

[event]

    # Events section
    # ~~~~~~~~~~~~~~
    # For each line on events, it is the format 'type: action'
    # The following are accepted types:
    # player_command - Execute command by player that caused event (won't execute if not applicable)
    # console_command - Execute command by console
    # message - Send message to player or console if applicable (colour support with &)
    # global_message - Send message to all players and console (colour support with &)
    # console_message - Send message to console (colour support with &)
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # Whether or not to enable event tracking (API events will still be enabled)
    enable = false

    # Execute commands when a region is created (ex. player place protection block)
    # Variables: %player%, %world%, %region%, %block_x%, %block_y%, %block_z%
    on_region_create = [
        'global_message: &l%player% created the region %region%!',
    ]

    # Execute commands when a region is destroyed (ex. when player destroy protection block)
    # Variables: %player%, %world%, %region%, %block_x%, %block_y%, %block_z%
    on_region_destroy = [
        'console_command: say %player% has destroyed region %region%!',
    ]
